# Create the WebDialog instance
my_dialog = UI::WebDialog.new("Trig", false, "Trig", 200, 200, 200, 200, true)

# Attach an action callback
my_dialog.add_action_callback("get_data") do |web_dialog,action_name|
	
	# If the input file has been modified during the last 2 seconds
	if (Time.now.to_i - 2) < File::mtime( "C:/SBSD/input.txt" ).to_i

		# If the action called is "draw_geometry"
		if action_name=="draw_geometry"
			
			draw_geometry
			
			# Zooming extents to view the whole model
			view = Sketchup.active_model.active_view
			  new_view = view.zoom_extents
			
			# Rendering a image of the model that can be imported into Excel
			 keys = {
			   :filename => "c:/SBSD/render.png",
			   :width => 640,
			   :height => 480,
			   :antialias => false,
			   :compression => 0.9,
			   :transparent => true
			 }
			 model = Sketchup.active_model
			 view = model.active_view
			 view.write_image keys
			 
		end
	end
end

# Find and show our html file
html_path = Sketchup.find_support_file "javascript.html" ,"Plugins"
my_dialog.set_file(html_path)
my_dialog.show()
